Skip to main content
POST
Create new opportunity

Authorizations

Authorization
string
header
required

JWT authentication for organization-scoped endpoints.

Authorization
string
header
required

API key authentication for public API endpoints. This key is scoped by workspace so a unique key is required per workspace within an organisation.

Path Parameters

orgId
string
required

Organization ID

workspaceId
string
required

Workspace ID

Body

application/json

Request schema for creating an opportunity

title
string
required

Title of the opportunity

Example:

"Improve Customer Onboarding Experience"

description
string
required

Description of the opportunity

Example:

"Streamline the initial user setup process to reduce drop-offs"

createdBy
enum<string>
required

How the opportunity was created

Available options:
user,
generated
Example:

"user"

id
string<uuid>
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
ownerId
string

ID of the opportunity owner

Example:

"d4e71c2b-a498-42af-b7f5-69de06a0d7c4"

solutionIds
string[]
insightIds
string[]
outcomeIds
string[]

Response

Opportunity created successfully

Response containing a single opportunity

data
object
required

Opportunity data